%define fw_version 5.41

Summary:	KDE Frameworks 5 integration with su for elevated privileges module
Name:		kdesu
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5pty-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(x11)

%description
KDE Frameworks 5 integration with su for elevated privileges module.

KDESu provides functionality for building GUI front ends for (password asking)
console mode programs. For example, kdesu and kdessh use it to interface with
su and ssh respectively.

%files
%attr(2755,root,nogroup) %{_kde5_libexecdir}/kf5/kdesud
%{_kde5_libexecdir}/kf5/kdesu_stub

#----------------------------------------------------------------------------

%package i18n
Summary:	KDESu translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDESu translations.

%files i18n -f kdesud5.lang

#----------------------------------------------------------------------------

%define kf5su_major 5
%define libkf5su %mklibname kf5su %{kf5su_major}

%package -n %{libkf5su}
Summary:	KDE Frameworks 5 KDESu shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5su}
KDE Frameworks 5 KDESu shared library.

%files -n %{libkf5su}
%{_kde5_libdir}/libKF5Su.so.%{kf5su_major}*

#----------------------------------------------------------------------------

%define devkf5su %mklibname kf5su -d

%package -n %{devkf5su}
Summary:	Development files for KDE Frameworks 5 KDESu module
Group:		Development/KDE and Qt
Requires:	%{libkf5su} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5su-devel = %{version}

%description -n %{devkf5su}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5su}
%{_kde5_includedir}/KF5/KDESu
%{_kde5_includedir}/KF5/kdesu_version.h
%{_kde5_libdir}/cmake/KF5Su
%{_kde5_libdir}/libKF5Su.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang kdesud5

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (346b6d0) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (f906f12) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (5f04df3) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (1dd13d5) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (c413d84) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (079eb90) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (2b5b6ff) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (2b65bbf) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (56e5ca2) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (9c9f8c2) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (56192ef) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (e6895ac) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (fb576b5) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (bd3e9c2) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (f581096) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (b8dd16f) New version 5.19.0

* Sun Jan 17 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (cf28a12) Don't require qt5-linguist-tools to build locales, it's not needed
- (cf28a12) Adjust KF5 BuildRequires format
- (Andrey Bondrov: 8208fe4) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (847772c) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (346e9d8) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (0956fa5) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (32ab183) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (c784197) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (ee6cfde) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (a73ac68) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (f937fba) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (2e3ec18) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (d764bb3) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (0bd7689) New version 5.8.0

* Fri Mar 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-3
- (0afbb90) MassBuild#682: Increase release tag


